Bug 493583 - ISE when rhnpushing on RHEL-4
ISE when rhnpushing on RHEL-4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Michael Mráka
:
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-04-02 07:08 EDT by Milan Zazrivec
Modified: 2009-09-10 16:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:35:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-04-02 07:08:15 EDT
Description of problem:
When pushing rpm content into a RHEL-4 based 5.3.0 Satellite, backend returns
ISE and following exception is present in /var/log/httpd/error_log:

Exception Handler Information
Traceback (most recent call last):
  File "/usr/share/rhn/server/apacheUploadServer.py", line 107, in _wrapper
    ret = function(req)
  File "/usr/share/rhn/upload_server/handlers/package_push/package_push.py", 
line 117, in handler
    header, payload_stream, md5sum, header_start, header_end = \
  File "/usr/share/rhn/server/rhnPackageUpload.py", line 364, in load_package
    header, payload_stream = rhn_mpm.load(file=package_stream)
  File "/usr/share/rhn/common/rhn_mpm.py", line 57, in load
    return load_rpm(f)
  File "/usr/share/rhn/common/rhn_mpm.py", line 80, in load_rpm
    header = rhn_rpm.get_package_header(file=stream)
  File "/usr/share/rhn/common/rhn_rpm.py", line 274, in get_package_header
    hdr, offset = rpm.readHeaderFromFD(file_desc)
AttributeError: 'module' object has no attribute 'readHeaderFromFD'


Version-Release number of selected component (if applicable):
spacewalk-backend-0.5.27-1
rpm-4.3.3-26_nonptl

How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 5.3.0 on RHEL-4
2. rhpush an rpm file into your satellite 
3. Watch /var/log/httpd/error_log on your satellite
  
Actual results:
ISE / python traceback in apache logs

Expected results:
No traceback, rhnpush succeeds

Additional info:
Commit 3e1bc16744a3d816dbedd7d91939ab75618c5de1 in spacewalk.git
Comment 3 Michael Mráka 2009-04-10 09:41:44 EDT
Verified. Satellite-5.3.0-RHEL4-re20090403.2-i386

# grep AttributeError  /var/log/httpd/error_log
<no output>
Comment 4 John Matthews 2009-08-13 14:23:49 EDT
Move to RELEASE_PENDING

rhnpush of a custom package was successful to a satellite installed on RHEL4.
Using latest stage content as of 8/11.
Comment 5 Brandon Perkins 2009-09-10 16:35:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.